IARRAY_GET_DOUBLE(3)

FUNCTION
iarray_get_double - Get attached double float from an Intelligent Array.

SYNOPSIS
#include <karma_iarray.h>

flag iarray_get_double

(iarray array, CONST char *name, double *value, flag abort_on_error)

DESCRIPTION
This routine will get a unique named double precision floating point value from the underlying Karma general data structure of an "Intelligent Array".

array
    The Intelligent Array.

name
    The name of the element.

value
    The value is written here.

abort_on_error
    If TRUE, the routine aborts on error.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/